Subject: [CCAMP] Responses to: Re: my review of draft-izh-ccamp-flexe-fwk

From: Loa Andersson <[email-masked]>
Date: Tue, 5 Feb 2019 12:09:31 +0800

On 2019-01-17 22:12, Daniele Ceccarelli wrote:
> Authors,
> 
> I reviewed draft-izh-ccamp-flexe-fwk. Please find below my comments.
> 
>   * Figure 1: I don't understand the figure. So far the main topic is
>     the fact that MAC rate and PHY rate do not necessarily map 1:1 but
>     now I don't understand what this reference model means. Can you add
>     some text?

I've added some text and changed the figure in the working version of
the document, I holding off posting since it is the the Chinese Spring
Festival and I want to give my co-authors a cnace to review. Plan to
post Feb 13.

>   * Section 4: you jump directly to the requirement without describing
>     what the framework is. I would expect a section before section 4
>     that describes what you want to achieve, and then requirements. The
>     direction we’re having lately from the IESG is that requirements not
>     necessarily need to be published. You can take them out in a
>     separate document that we can adopt but then not publish or keep in
>     a section of this document and the we put them in appendix, as you
>     prefer.

I have updated and moved the requirements to an appendix. I also added
some text.

>   * - You start talking directly about the requirement of supporting the
>     creation of a flexE group and the only description of a flexE groups
>     is 3 lines in the terminology. The section described above is really
>     needed.

OK - I hope this is addressed to your satisfaction,

>   * Section 5. As above. This needs to be introduced somehow. Moreover I
>     agree with the creation of the FlexE group, but does GMPLS configure
>     clients?

The issue if we need to establish FlexE Clients has been discussed on
the list. To my mind the service that FlexE offers are by the clients
(the equivalent MAC layer), if we want to take benefits from what the
MAC layer service, we need to be able to control the setup of the
clients.

>   * “Set up of a higher layer LSP that requires to be run over a FlexE
>     infrastructure.”this is something that already exists. Whether an
>     LSP is created over a FlexE, an optical trail or a classical Eth
>     link is independent on the underlay technology.

Well - yes and no. In the case of FlexE (a true link technology), the
FlexE Clients offer unique TE parameters, so establishing an LSP on
top of the FlexE Client need to handle those TE parameters. That does
not exist today.

>   * “5.1.  Types of LSPs in a FlexE capable network. “ isnt’ the FlexE
>     the underlay with respect to the LSP? You might talk about
>     procedures for setting up LSPs in a FlexE network, not types of LSP.

Well, you are of course you are right that FlexE is the underlay for
e.g. an MPLS LSP. But isn't it a long time honored practice to call
everything that is set up by RSVP-TE an LSP? so if we set up FlexE
Groups, FlexE Clients and MPLS LSPs they are all LSPs.

>   * Moreover if FlexE groups and clients are already preconfigured we’re
>     in a classical non FlexE scenario, right?

Yes - with the exception of the benefits that the new TE parameters will
give us.

>   * Instead of starting straight with a multilayer control plane I would
>     talk about just the control plane of FlexE and the eventually talk
>     about all the possible solutions for the combination of control
>     planes (FlexE and LSP), confederated, multilayer etc.

OK - I tried to do this.

>   * Probably section 6 is a good candidate for the intro section missing
>     before section 4 (the one I was describing above)

OK - I added text to that effect before section four, rather than moving
section 6.
>   * 6.2.1 I would spend more time describing the architecture rather
>     than jumping directly to signaling and routing. Describe the data
>     plane and what you want to achieve, before jumping into what needs
>     to be advertised and what needs to be signaled.

OK - I will add text for this in this effect in the next version.

>   * Section 7. What is a flexE LSP? I expect to read this in the new
>     section (architecture/framework?)

OK - I understand that there is some clarity missing? Will take a new
spin on the Framework/Architecture once we have converged on the current
changes.

/Loa
> BR
> Daniele

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64